RichTextToolbar.Strings (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.client.uicomponents.richtext
Interface RichTextToolbar.Strings

All Superinterfaces:
  com.google.gwt.i18n.client.Constants, com.google.gwt.i18n.shared.Localizable, com.google.gwt.i18n.client.LocalizableResource

Enclosing class:
  RichTextToolbar

    public static interface RichTextToolbar.Strings

extends com.google.gwt.i18n.client.Constants

This `Constants` interface is used to make the toolbar's strings internationalizable.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.Constants
`com.google.gwt.i18n.client.Constants.DefaultBooleanValue, com.google.gwt.i18n.client.Constants.DefaultDoubleValue, com.google.gwt.i18n.client.Constants.DefaultFloatValue, com.google.gwt.i18n.client.Constants.DefaultIntValue, com.google.gwt.i18n.client.Constants.DefaultStringArrayValue, com.google.gwt.i18n.client.Constants.DefaultStringMapValue, com.google.gwt.i18n.client.Constants.DefaultStringValue`

Nested classes/interfaces inherited from interface com.google.gwt.i18n.client.LocalizableResource
`com.google.gwt.i18n.client.LocalizableResource.DefaultLocale, com.google.gwt.i18n.client.LocalizableResource.Description, com.google.gwt.i18n.client.LocalizableResource.Generate, com.google.gwt.i18n.client.LocalizableResource.GeneratedFrom, com.google.gwt.i18n.client.LocalizableResource.GenerateKeys, com.google.gwt.i18n.client.LocalizableResource.Key, com.google.gwt.i18n.client.LocalizableResource.Meaning`

Method Summary
`String` | `black()`
`String` | `blue()`
`String` | `bold()`
`String` | `color()`
`String` | `createLink()`
`String` | `font()`
`String` | `green()`
`String` | `hr()`
`String` | `importing()`
`String` | `insertImage()`
`String` | `italic()`
`String` | `justifyCenter()`
`String` | `justifyLeft()`
`String` | `justifyRight()`
`String` | `large()`
`String` | `medium()`
`String` | `newdoc()`
`String` | `normal()`
`String` | `ol()`
`String` | `open_template()`
`String` | `outdent()`
`String` | `red()`
`String` | `removeFormat()`
`String` | `removeLink()`
`String` | `save()`
`String` | `size()`
`String` | `small()`
`String` | `strikeThrough()`
`String` | `ul()`
`String` | `underline()`
`String` | `white()`
`String` | `xlarge()`
`String` | `xsmall()`
`String` | `xxlarge()`
`String` | `xxsmall()`
`String` | `yellow()`

Method Detail

### insertImage

    String insertImage()

  Returns:
    .

### importing

    String importing()

  Returns:
    .

### black

    String black()

  Returns:
    .

### blue

    String blue()

  Returns:
    .

### bold

    String bold()

  Returns:
    .

### color

    String color()

  Returns:
    .

### createLink

    String createLink()

  Returns:
    .

### font

    String font()

  Returns:
    .

### green

    String green()

  Returns:
    .

### hr

    String hr()

  Returns:
    .

### italic

    String italic()

  Returns:
    .

### justifyCenter

    String justifyCenter()

  Returns:
    .

### justifyLeft

    String justifyLeft()

  Returns:
    .

### justifyRight

    String justifyRight()

  Returns:
    .

### large

    String large()

  Returns:
    .

### medium

    String medium()

  Returns:
    .

### normal

    String normal()

  Returns:
    .

### newdoc

    String newdoc()

  Returns:
    .

### open_template

    String open_template()

  Returns:
    .

### ol

    String ol()

  Returns:
    .

### outdent

    String outdent()

  Returns:
    .

### red

    String red()

  Returns:
    .

### removeFormat

    String removeFormat()

  Returns:
    .

### removeLink

    String removeLink()

  Returns:
    .

### save

    String save()

  Returns:
    .

### size

    String size()

  Returns:
    .

### small

    String small()

  Returns:
    .

### strikeThrough

    String strikeThrough()

  Returns:
    .

### ul

    String ul()

  Returns:
    .

### underline

    String underline()

  Returns:
    .

### white

    String white()

  Returns:
    .

### xlarge

    String xlarge()

  Returns:
    .

### xsmall

    String xsmall()

  Returns:
    .

### xxlarge

    String xxlarge()

  Returns:
    .

### xxsmall

    String xxsmall()

  Returns:
    .

### yellow

    String yellow()

  Returns:
    .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.